Bug 221178 - CompilationInfo held in memory
CompilationInfo held in memory
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: REST
7.3
PC Linux
: P2 (vote)
: 7.3
Assigned To: Denis Anisimov
issues@webservices
73beta2-stopper-fixed
: PERFORMANCE
Depends on:
Blocks: 220877
  Show dependency treegraph
 
Reported: 2012-10-31 13:38 UTC by Tomas Hurka
Modified: 2012-11-02 12:53 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Path to GC root (2.12 KB, text/plain)
2012-10-31 13:38 UTC, Tomas Hurka
Details
Proposed patch (4.01 KB, patch)
2012-10-31 13:56 UTC, Tomas Hurka
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2012-10-31 13:38:06 UTC
Created attachment 126858 [details]
Path to GC root

Last CompilationInfo is held in memory by websvc.rest module. See attached path
to GC root.
Comment 1 Tomas Hurka 2012-10-31 13:56:56 UTC
Created attachment 126861 [details]
Proposed patch

Proposed patch - do not store CompilationInfo in instance variable RestScanTask.info .
Comment 2 Denis Anisimov 2012-11-01 10:10:08 UTC
web-main#d0ea1423205f
Comment 3 Petr Jiricka 2012-11-01 14:53:35 UTC
Marian says we should put this into the beta2 branch - Denis, can you do that (if you're still there)?
Thanks.
Comment 4 Petr Jiricka 2012-11-01 16:41:29 UTC
Transplanted to release73_beta2: http://hg.netbeans.org/releases/rev/830fca2c7c4d
Comment 5 Quality Engineering 2012-11-02 03:27:18 UTC
Integrated into 'main-golden', will be available in build *201211020001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d0ea1423205f
User: Denis Anisimov <ads@netbeans.org>
Log: Fix for BZ#221178 - CompilationInfo held in memory
Comment 6 Denis Anisimov 2012-11-02 07:47:01 UTC
(In reply to comment #4)
> Transplanted to release73_beta2:
> http://hg.netbeans.org/releases/rev/830fca2c7c4d

Thanks!
Comment 7 Quality Engineering 2012-11-02 10:52:06 UTC
Integrated into 'releases', will be available in build *201211020750* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/830fca2c7c4d
User: Denis Anisimov <ads@netbeans.org>
Log: Fix for BZ#221178 - CompilationInfo held in memory


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo